githubEdit

Custom carrier endpoints

List carriers

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

all entities after given Id

sizeintegerOptional

number of entities to show

Default: 25
localestringOptional

Provide the localized names and descriptions for the parcel label classifications. If not provided the default locale is used., for example de_DE.

Responses
chevron-right
200

The current list of available carriers

application/json

StrippedCarriers

totalintegerOptional

Total number of found entities for this query

Example: 42
get
/api/carriers

Create carrier

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
localestringOptional

Provide the localized names and descriptions for the parcel label classifications. If not provided the default locale is used., for example de_DE.

Body

CarrierForCreation

defaultParcelHeightInCmnumber · min: 1Optional

Default height in cm

Default: 10
defaultParcelLengthInCmnumber · min: 1Optional

Default length in cm

Default: 25
defaultParcelWeightInGramnumber · min: 1Optional

Default weight for a parcel in gram

Default: 1000
defaultParcelWidthInCmnumber · min: 1Optional

Default width in cm

Default: 35
keystringRequired

References the KEP. Currently allowed values are DHL_V2, DPD_CH, DPD_CH_VCE, ANGEL, GLS, FEDEX, POSTNL, BRING, UPS, POST_NORD, DHL_EXPRESS, CUSTOM and to distinct between multiple custom carriers one can use CUSTOM_ combined with a unique name.

Example: DHL_V2
logoUrlstring · min: 1Optional
namestringRequired

This is the well known name for a supported CEP partner. Can be adapted to the clients needs.

Example: DHL Köln
productValueNeededbooleanOptional

Setting to enable the Client to ask for the parcel product value while ordering a label. This information is mandatory for sending parcels between different countries (customs declaration)

Example: true
statusstring · enumOptional

It is taken into consideration for all carriers. Default: INACTIVE

Possible values:
Responses
post
/api/carriers

Update carrier

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
carrierIdstringRequired

ID of carrier you want to patch

Query parameters
localestringOptional

Provide the localized names and descriptions for the parcel label classifications. If not provided the default locale is used., for example de_DE.

Body

CarrierPatchActions

versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
chevron-right
200

Carrier was found & patch-set has been applied. The patched entity is in the body.

application/json

Carrier

patch
/api/carriers/{carrierId}

Update carrier config

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
carrierIdstringRequired

ID of the carrier you want to update the configuration

Body
or
or
or
or
or
or
or
or
or
Responses
chevron-right
200

Carrier Configuration was found & you were allowed to access it. The result is in the body.

application/json
or
or
or
or
or
or
or
or
or
put
/api/carriers/{carrierId}/configuration

Get carrier config

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
carrierIdstringRequired

ID of the carrier you want to get the configuration

Responses
chevron-right
200

Carrier Configuration was found & you were allowed to access it. The result is in the body.

application/json
or
or
or
or
or
or
or
or
or
get
/api/carriers/{carrierId}/configuration

Get carrier

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
carrierIdstringRequired

ID of the carrier you want to get

Query parameters
localestringOptional

Provide the localized names and descriptions for the parcel label classifications. If not provided the default locale is used., for example de_DE.

Responses
chevron-right
200

Carrier was found & you were allowed to access it. The result is in the body.

application/json

Carrier

get
/api/carriers/{carrierId}

Last updated